CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
PlugInParameters Class Reference

Test plug-ins parameters. More...

`#include <PlugInParameters.h>`

List of all members.

## Public Member Functions
| PlugInParameters (const std::string &commandLine="")
| Constructs plug-in parameters from the specified command-line.
virtual | ~PlugInParameters ()
std::string | getCommandLine () const
| Returns the command line that was passed on construction.
## Private Attributes
std::string | m_commandLine

## Detailed Description

Test plug-ins parameters.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN PlugInParameters::PlugInParameters | ( | const std::string & | commandLine = `""` | ) |

Constructs plug-in parameters from the specified command-line.

PlugInParameters::~PlugInParameters | ( |  | ) | `[virtual]`

## Member Function Documentation

std::string PlugInParameters::getCommandLine | ( |  | ) | const

Returns the command line that was passed on construction.

## Member Data Documentation

std::string PlugInParameters::m_commandLine`[private]`

The documentation for this class was generated from the following files:

- PlugInParameters.h
- PlugInParameters.cpp

| hosts this site. |  | Send comments to: CppUnit Developers